Debian Bug report logs - #496871
linux-2.6: please change the PREEMPT settings

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Anand Kumria <wildfire@progsoc.org>

Date: Thu, 28 Aug 2008 06:54:02 UTC

Severity: wishlist

Tags: wontfix

Merged with 311185, 539209

Found in version linux-2.6/2.6.26-4

Fixed in version 2.6.32-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, horms@vergenet.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496871; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.org>:
New Bug report received and forwarded. Copy sent to horms@vergenet.net, Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: please change the PREEMPT settings
Date: Thu, 28 Aug 2008 07:49:23 +0100
Package: linux-2.6
Severity: normal

Hi,

Bugs #292061 and #311185 are contradictory. One asks for it to be disabled, the other enabled.

I spoke with Simon Horman and he said:

<wildfire> horms, why doesn't the debian linux kernel set preempt to on?
<horms> wildfire: nfi
<horms> i believe back in my day it was too experimental
<horms> but i have no idea why it is still off

We also checked a few other distributions:
	Ubuntu (feisty): CONFIG_PREEMPT_VOLUNTARY=y/CONFIG_PREEMPT_BKL=y
	RHEL 5.1: CONFIG_PREEMPT_VOLUNTARY=y, CONFIG_PREEMPT_BKL=y
	master.kernel.org: CONFIG_PREEMPT_NOTIFIERS=y, CONFIG_PREEMPT_VOLUNTARY=y

(all machines are either ia64 or x86_64)

So the censensus would seem to be to set:

	CONFIG_PREEMPT_VOLUNTARY=y
	CONFIG_PREEMPT_BKL=y
	CONFIG_PREEMPT_NOTIFIERS=y (already set in Debian)

Could you please make it so, and close out the two above-mentioned reports?

Thanks,
Anand

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496871; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 496871@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: Debian Bug Tracking System <496871@bugs.debian.org>
Subject: I guess they are disabled for server performance reasons...
Date: Sun, 07 Sep 2008 13:13:15 -0300
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-4
Followup-For: Bug #496871

    I guess the preemption settings are disabled for slowing down servers, it
would be more apropriate to implement what is said on bug "#497755 - Separate
desktop and server kernels".
    Would be nice to have something like that...
    Thanks!!!
P.s.: maybe this bug should be merged with 497755.


-- Package-specific info:
** Version:
Linux version 2.6.26-1-amd64 (Debian 2.6.26-4) (waldi@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Thu Aug 28 11:13:42 UTC 2008

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.26-1-amd64 root=UUID=c662531d-951e-4c01-a372-3212249feb65 ro

** Tainted: P (1)

** Kernel log:
[    1.307989] forcedeth: Reverse Engineered nForce ethernet driver. Version 0.61.
[    1.307989] ACPI: PCI Interrupt Link [LMAC] enabled at IRQ 21
[    1.307989] ACPI: PCI Interrupt 0000:00:07.0[A] -> Link [LMAC] -> GSI 21 (level, low) -> IRQ 21
[    1.307989] PCI: Setting latency timer of device 0000:00:07.0 to 64
[    1.835922] forcedeth 0000:00:07.0: ifname eth0, PHY OUI 0x732 @ 1, addr 00:19:66:73:08:b8
[    1.835922] forcedeth 0000:00:07.0: highdma pwrctl mgmt timirq lnktim msi desc-v3
[    1.835922] sata_nv 0000:00:08.0: version 3.5
[    1.835922] ACPI: PCI Interrupt Link [LSA0] enabled at IRQ 20
[    1.835922] ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [LSA0] -> GSI 20 (level, low) -> IRQ 20
[    1.835922] PCI: Setting latency timer of device 0000:00:08.0 to 64
[    1.835922] scsi0 : sata_nv
[    1.835922] scsi1 : sata_nv
[    1.835922] ata1: SATA max UDMA/133 cmd 0xd400 ctl 0xd080 bmdma 0xc880 irq 20
[    1.835922] ata2: SATA max UDMA/133 cmd 0xd000 ctl 0xcc00 bmdma 0xc888 irq 20
[    2.308035] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    2.319852] ata1.00: ATA-7: SAMSUNG HD160JJ, ZM100-47, max UDMA7
[    2.319852] ata1.00: 312581808 sectors, multi 16: LBA48 NCQ (depth 0/32)
[    2.363895] ata1.00: configured for UDMA/133
[    2.690238] ata2: SATA link down (SStatus 0 SControl 300)
[    2.691836] isa bounce pool size: 16 pages
[    2.691836] scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HD160JJ  ZM10 PQ: 0 ANSI: 5
[    2.691836] ACPI: PCI Interrupt Link [LSA1] enabled at IRQ 23
[    2.691836] ACPI: PCI Interrupt 0000:00:08.1[B] -> Link [LSA1] -> GSI 23 (level, low) -> IRQ 23
[    2.691836] PCI: Setting latency timer of device 0000:00:08.1 to 64
[    2.691836] scsi2 : sata_nv
[    2.691836] scsi3 : sata_nv
[    2.695841] ata3: SATA max UDMA/133 cmd 0xc800 ctl 0xc480 bmdma 0xc000 irq 23
[    2.695841] ata4: SATA max UDMA/133 cmd 0xc400 ctl 0xc080 bmdma 0xc008 irq 23
[    3.038155] ata3: SATA link down (SStatus 0 SControl 300)
[    3.378239] ata4: SATA link down (SStatus 0 SControl 300)
[    3.383847] Uniform Multi-Platform E-IDE driver
[    3.383886] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[    3.384516] NFORCE-MCP61: 0000:00:06.0 (rev a2) UDMA133 controller
[    3.384555] NFORCE-MCP61: IDE controller (0x10de:0x03ec rev 0xa2) at  PCI slot 0000:00:06.0
[    3.384619] NFORCE-MCP61: not 100% native mode: will probe irqs later
[    3.389929] NFORCE-MCP61: BIOS didn't set cable bits correctly. Enabling workaround.
[    3.389976] NFORCE-MCP61: IDE port disabled
[    3.390011]     ide0: BM-DMA at 0xffa0-0xffa7
[    3.390045] Probing IDE interface ide0...
[    4.122240] hda: SONY DVD RW DRU-830A, ATAPI CD/DVD-ROM drive
[    4.794216] hda: host max PIO5 wanted PIO255(auto-tune) selected PIO4
[    4.794542] hda: drive side 80-wire cable detection failed, limiting max speed to UDMA33
[    4.794588] hda: UDMA/33 mode selected
[    4.794983] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[    4.809828] Driver 'sd' needs updating - please use bus_type methods
[    4.809942] sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
[    4.809987] sd 0:0:0:0: [sda] Write Protect is off
[    4.810021] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    4.810031] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    4.810031] sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
[    4.810031] sd 0:0:0:0: [sda] Write Protect is off
[    4.810031] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    4.810031] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    4.810087]  sda: sda1 sda2 sda3 <<6>hda: ATAPI 40X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache
[    4.826125] Uniform CD-ROM driver Revision: 3.20
[    4.826125]  sda5 sda6 sda7 sda8 >
[    4.858042] sd 0:0:0:0: [sda] Attached SCSI disk
[    5.186119] PM: Starting manual resume from disk
[    5.192007] ReiserFS: sda8: found reiserfs format "3.6" with standard journal
[    5.192052] ReiserFS: sda8: using ordered data mode
[    5.198127] ReiserFS: sda8: journal params: device sda8, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
[    5.198127] ReiserFS: sda8: checking transaction log (sda8)
[    5.230248] ReiserFS: sda8: Using r5 hash to sort names
[    6.544272] udevd version 125 started
[    7.524596] i2c-adapter i2c-0: nForce2 SMBus adapter at 0x5000
[    7.524596] i2c-adapter i2c-1: nForce2 SMBus adapter at 0x6000
[    7.700594] input: PC Speaker as /class/input/input2
[    7.856612] input: Power Button (FF) as /class/input/input3
[    7.906182] ACPI: Power Button (FF) [PWRF]
[    7.906296] input: Power Button (CM) as /class/input/input4
[    7.933649] ACPI: Power Button (CM) [PWRB]
[    8.117813] input: ImPS/2 Generic Wheel Mouse as /class/input/input5
[    8.177842] pnp: the driver 'parport_pc' has been registered
[    8.177842] parport_pc 00:06: reported by Plug and Play ACPI
[    8.177842] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
[    8.253733] ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 22
[    8.253733] ACPI: PCI Interrupt 0000:00:05.0[B] -> Link [LAZA] -> GSI 22 (level, low) -> IRQ 22
[    8.253733] PCI: Setting latency timer of device 0000:00:05.0 to 64
[    8.265766] parport_pc 00:06: driver attached
[    8.276773] Error: Driver 'pcspkr' is already registered, aborting...
[    8.301729] hda_codec: Unknown model for ALC662, trying auto-probe from BIOS...
[   10.165713] Adding 522072k swap on /dev/sda5.  Priority:-1 extents:1 across:522072k
[   19.209561] loop: module loaded
[   19.233550] w83627ehf: Found W83627EHG chip at 0x290
[   19.625714] fuse init (API version 7.9)
[   19.996470] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   20.072439] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   20.734896] PPP generic driver version 2.4.2
[   20.853200] NET: Registered protocol family 10
[   20.853200] lo: Disabled Privacy Extensions
[   24.033231] ACPI: WMI: Mapper loaded
[   24.541258] lp0: using parport0 (interrupt-driven).
[   24.557258] ppdev: user-space parallel port driver
[   26.143726] NET: Registered protocol family 24
[   31.608344] eth0: no IPv6 routers present
[   33.512202] nvidia: module license 'NVIDIA' taints kernel.
[   33.765989] ACPI: PCI Interrupt Link [LMC9] enabled at IRQ 21
[   33.765995] ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LMC9] -> GSI 21 (level, low) -> IRQ 21
[   33.766002] PCI: Setting latency timer of device 0000:00:0d.0 to 64
[   33.766151] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  173.14.12  Thu Jul 17 18:10:24 PDT 2008

** Loaded modules:
Module                  Size  Used by
nvidia               8104816  24 
pppoe                  14976  2 
pppox                   7960  1 pppoe
ppdev                  11656  0 
lp                     14724  0 
video                  24084  0 
output                  7808  1 video
battery                16904  0 
container               8320  0 
wmi                    11712  0 
sbs                    17808  0 
sbshc                  10368  1 sbs
ac                      9352  0 
ipv6                  288200  20 
ppp_generic            27816  6 pppoe,pppox
slhc                   10112  1 ppp_generic
nls_utf8                6272  2 
nls_cp437              11136  2 
vfat                   14976  2 
fat                    51128  1 vfat
nls_base               12932  4 nls_utf8,nls_cp437,vfat,fat
fuse                   53184  2 
eeprom                 10640  0 
w83627ehf              26512  0 
hwmon_vid               7296  1 w83627ehf
loop                   19468  0 
snd_hda_intel         434776  3 
snd_pcm_oss            41760  0 
snd_mixer_oss          18816  1 snd_pcm_oss
snd_pcm                81800  3 snd_hda_intel,snd_pcm_oss
snd_timer              25744  1 snd_pcm
snd                    63688  10 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              12064  1 snd
parport_pc             31016  1 
parport                41776  3 ppdev,lp,parport_pc
button                 11680  0 
snd_page_alloc         13072  2 snd_hda_intel,snd_pcm
psmouse                42268  0 
serio_raw               9860  0 
pcspkr                  7040  0 
evdev                  14208  3 
i2c_nforce2            10752  0 
i2c_core               27936  3 nvidia,eeprom,i2c_nforce2
k8temp                  9216  0 
reiserfs              211072  1 
ide_cd_mod             36360  0 
cdrom                  37928  1 ide_cd_mod
sd_mod                 29376  6 
ide_pci_generic         9220  0 [permanent]
amd74xx                13448  0 [permanent]
ide_core              128284  3 ide_cd_mod,ide_pci_generic,amd74xx
floppy                 61672  0 
sata_nv                27528  5 
ata_generic            10116  0 
libata                165472  2 sata_nv,ata_generic
scsi_mod              160760  2 sd_mod,libata
dock                   14112  1 libata
forcedeth              54032  0 
ohci_hcd               25092  0 
ehci_hcd               36108  0 
thermal                22688  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  4 video,thermal,processor,fan

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation MCP61 Memory Controller [10de:03ea] (rev a1)
	Subsystem: ASRock Incorporation Device [1849:03ea]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation MCP61 LPC Bridge [10de:03e0] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:03e0]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 SMBus [0c05]: nVidia Corporation MCP61 SMBus [10de:03eb] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:03eb]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at dc00 [size=64]
	Region 4: I/O ports at 5000 [size=64]
	Region 5: I/O ports at 6000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:01.2 RAM memory [0500]: nVidia Corporation MCP61 Memory Controller [10de:03f5] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:03eb]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:02.0 USB Controller [0c03]: nVidia Corporation MCP61 USB Controller [10de:03f1] (rev a3) (prog-if 10)
	Subsystem: ASRock Incorporation Device [1849:03f1]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at df7ff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation MCP61 USB Controller [10de:03f2] (rev a3) (prog-if 20)
	Subsystem: ASRock Incorporation Device [1849:03f2]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 23
	Region 0: Memory at df7fec00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:04.0 PCI bridge [0604]: nVidia Corporation MCP61 PCI bridge [10de:03f3] (rev a1) (prog-if 01)
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:05.0 Audio device [0403]: nVidia Corporation MCP61 High Definition Audio [10de:03f0] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:3662]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (500ns min, 1250ns max)
	Interrupt: pin B routed to IRQ 22
	Region 0: Memory at df7f8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:06.0 IDE interface [0101]: nVidia Corporation MCP61 IDE [10de:03ec] (rev a2) (prog-if 8a [Master SecP PriP])
	Subsystem: ASRock Incorporation Device [1849:03ec]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE
	Kernel modules: ata_generic, amd74xx, ide-pci-generic

00:07.0 Bridge [0680]: nVidia Corporation MCP61 Ethernet [10de:03ef] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:03ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 1276
	Region 0: Memory at df7fd000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at d480 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:08.0 IDE interface [0101]: nVidia Corporation MCP61 SATA Controller [10de:03f6] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASRock Incorporation Device [1849:03f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at d400 [size=8]
	Region 1: I/O ports at d080 [size=4]
	Region 2: I/O ports at d000 [size=8]
	Region 3: I/O ports at cc00 [size=4]
	Region 4: I/O ports at c880 [size=16]
	Region 5: Memory at df7fc000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv, ata_generic, ide-pci-generic

00:08.1 IDE interface [0101]: nVidia Corporation MCP61 SATA Controller [10de:03f6] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASRock Incorporation Device [1849:03f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 23
	Region 0: I/O ports at c800 [size=8]
	Region 1: I/O ports at c480 [size=4]
	Region 2: I/O ports at c400 [size=8]
	Region 3: I/O ports at c080 [size=4]
	Region 4: I/O ports at c000 [size=16]
	Region 5: Memory at df7f7000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv, ata_generic, ide-pci-generic

00:09.0 PCI bridge [0604]: nVidia Corporation MCP61 PCI Express bridge [10de:03e8] (rev a2)
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0b.0 PCI bridge [0604]: nVidia Corporation MCP61 PCI Express bridge [10de:03e9] (rev a2)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=04, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: df800000-dfffffff
	Prefetchable memory behind bridge: 00000000da000000-00000000dcffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0c.0 PCI bridge [0604]: nVidia Corporation MCP61 PCI Express bridge [10de:03e9] (rev a2)
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0d.0 VGA compatible controller [0300]: nVidia Corporation GeForce 6150SE nForce 430 [10de:03d0] (rev a2)
	Subsystem: ASRock Incorporation Device [1849:03d0]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at de000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at dd000000 (64-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at df7c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nvidiafb, nvidia

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp
	Kernel modules: k8temp



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_UY.UTF-8, LC_CTYPE=es_UY.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92f      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii  grub-pc [grub]           1.96+20080724-9 GRand Unified Bootloader, version 
pn  linux-doc-2.6.26         <none>          (no description available)

-- debconf information:
  linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496871; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 496871@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Ivan Baldo <ibaldo@adinet.com.uy>, 496871@bugs.debian.org
Subject: Re: Bug#496871: I guess they are disabled for server performance reasons...
Date: Sun, 7 Sep 2008 18:30:47 +0200
On Sun, Sep 07, 2008 at 01:13:15PM -0300, Ivan Baldo wrote:
> 
>     I guess the preemption settings are disabled for slowing down servers, it
> would be more apropriate to implement what is said on bug "#497755 - Separate
> desktop and server kernels".
>     Would be nice to have something like that...
>     Thanks!!!
> P.s.: maybe this bug should be merged with 497755.

please stop waffling.

if you have something interesting to bring in
that would be benchmark runs.

-- 
maks




Forcibly Merged 496871 539209. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 12 Sep 2009 14:15:07 GMT) Full text and rfc822 format available.

Forcibly Merged 311185 496871 539209. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 12 Sep 2009 14:24:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:29:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:36:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.